<?php
/**
 * The template used for displaying page content in page.php
 *
 * @package WordPress
 * @subpackage Twenty_Eleven
 * @since Twenty Eleven 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
	
		<?php //カスタムフィールドからの画像を表示させ、title属性に記事タイトルをあてる
		$attach_id = get_post_meta($post->ID,"title_image",true);
		$image_info = wp_get_attachment_image_src( $attach_id  , 'full' );
		list( $url, $w, $h) = $image_info;
		//$alt = get_post_meta($attach_id , '_wp_attachment_image_alt', true);
		//$alt = the_title();
		?>

		<h1 class="entry-title">
			<?php if( is_page( array( 'for_sponsor_entry_form', 'lightning', 'on_local', 'on_cloud' ) ) ) : ?>
				<?php the_title(); ?>
			<?php else : ?>
				<img src="<?php echo $url; ?>" title="<?php the_title(); ?>" alt="<?php the_title(); ?>タイトル画像" />
			<?php endif; ?>
		</h1>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php the_content(); ?>
		
		<?php if( is_page( 'outline' ) ) : ?>
			<h2>Map</h2>
			<p><?php include_once( 'map_iframe.php' ); ?></p>
			<?php
				global $is_iphone;
				$map_pc = 		get_post_meta( $post->ID, "PC", true );
				$map_mobile = 	get_post_meta( $post->ID, "Mobile", true );
			?>
			
				<!-- <?php if( $is_iphone && !is_ipad() ) : ?>
					<dd class="map_mobile"><?php echo $map_mobile; ?></dd> 
				<?php else : ?>
					<dd><?php echo $map_pc; ?></dd>
				<?php endif; ?> -->
				
			<?php
				global $is_iphone;
				if( $is_iphone ) : ?>
			<h2>ルートチェック</h2>
			<form id="root_guide" action="http://www.google.co.jp/maps" target="_blank">
				<input name="ie" type="hidden" value="UTF8" />
				<input name="f" type="hidden" value="d" />
				<input name="dirflg" type="hidden" value="r" />
				<div class="txtarea">
				<input id="departure" onfocus="if(this.value=='出発地を入力') this.value=''" onblur="if(this.value=='') this.value='出発地を入力'" maxlength="2048" name="saddr" size="40" type="text" value="出発地を入力"  /><input id="arrival" name="daddr" type="hidden" value="鹿児島県鹿児島市呉服町6-8" /><br />
				<input id="submit" type="submit" value="会場までのルート" />
				</div>
			</form>
			<?php endif; ?>
			
			</dl>
		
		<?php endif; ?>

		
		<?php wp_link_pages( array( 'before' => '<div class="page-link"><span>' . __( 'Pages:', 'twentyeleven' ) . '</span>', 'after' => '</div>' ) ); ?>
	</div><!-- .entry-content -->
	<footer class="entry-meta">
		<?php edit_post_link( __( 'Edit', 'twentyeleven' ), '<span class="edit-link">', '</span>' ); ?>
	</footer><!-- .entry-meta -->
</article><!-- #post-<?php the_ID(); ?> -->
