<?php
/**
 * The template for displaying content in the single.php template
 *
 * @package WordPress
 * @subpackage Twenty_Eleven
 * @since Twenty Eleven 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<h1 class="entry-title"><?php the_title(); ?></h1>

		<?php if ( 'post' == get_post_type() ) : ?>
		<div class="entry-meta">
			<span><?php the_time( 'Y. m.d' ); ?></span>
		</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php the_content(); ?>
		<?php wp_link_pages( array( 'before' => '<div class="page-link"><span>' . __( 'Pages:', 'twentyeleven' ) . '</span>', 'after' => '</div>' ) ); ?>
	</div><!-- .entry-content -->

	<footer class="entry-meta">
		<?php
			/* translators: used between list items, there is a space after the comma */
			$categories_list = get_the_category_list( __( ', ', 'twentyeleven' ) );

			/* translators: used between list items, there is a space after the comma */
			$tag_list = get_the_tag_list( '', __( ', ', 'twentyeleven' ) );
			
			/* term list */
			$term_list = get_the_term_list( $post->ID, 'floor', '会場：', ',', '' );
			
			if ( '' != $tag_list ) {
				$utility_text = __( 'カテゴリ： %1$s　　タグ： %2$s, 投稿者： %5$s　　<a href="%3$s" title="Permalink to %4$s" rel="bookmark">パーマリンク</a>　　%7$s' );
			} elseif ( '' != $categories_list ) {
				$utility_text = __( 'カテゴリ： %1$s　　投稿者： %5$s　　<a href="%3$s" title="Permalink to %4$s" rel="bookmark">パーマリンク</a>　　%7$s' );
			} else {
				$utility_text = __( '投稿者： %5$s　　<a href="%3$s" title="Permalink to %4$s" rel="bookmark">パーマリンク</a>　　%7$s' );
			}

			printf(
				$utility_text,
				$categories_list,
				$tag_list,
				esc_url( get_permalink() ),
				the_title_attribute( 'echo=0' ),
				get_the_author(),
				esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
				$term_list
			);
		?>
		
		<?php if( is_tax( 'floor', 'gardn6' ) ) : ?>
			<div class="floor_list">
	
			<?php //カスタム投稿タイプの講演者一覧をリスト表示
	    	    query_posts(
	    	    	array(
	    	    		'post_type' => array( 'speakers' ),
	    	    		'floor' => 'garden6',
	    	    		'orderby' => 'date',
	    	    		'order' => 'DESC',
	    	    		'paged' => get_query_var('paged'),
	    	    		'posts_per_page' => -1,
	    	    	)
	    	    );
	    	    if (have_posts()) : ?>
	    	    
	    	    <h2>garden6</h2>
				<ul class="speakers_list">
	    	    
	    	    <?php while (have_posts()) : the_post(); ?>
	    	    
	    	    
	    	    <li>
	    	    	<div class="speaker_contents">
	    	    	<a href="<?php the_permalink(); ?>">
	    	    	
	    	    	
	    	    		<?php //投稿サムネイル（アイキャッチ画像）を呼び出す。※functions.php内に記述済み。
							//This must be in one loop
						    $title = get_the_title();
						    
						    if(has_post_thumbnail()) {
						    	the_post_thumbnail( array(200,200), array('title' => $title . 'さんのページへ'));
						    } else {
						    	echo ''; //画像が内場合は、そのまま画像なしで表示させる
						    }
						?><br />
						<?php the_title(); ?></a>
						<?php //▲サムネイルを出力させる ?>
	    	    		<?php //the_excerpt(); ?>
	    	    	<!-- .news_contents end --></div>
	    	    	        	
	    	    	
	    	    </li>
	    	    
	    	    
	    	    
	    	    
	    	<?php endwhile; endif; ?>
	    	
	    	<?php wp_reset_query(); ?>
			</ul>
			<!-- .floor_list end --></div>
		
		<?php elseif( is_tax( 'floor', 'garden7' ) ) :?>
		
			<div class="floor_list">
	
	
				<?php //カスタム投稿タイプの講演者一覧をリスト表示
	    		    query_posts(
	    		    	array(
	    		    		'post_type' => array( 'speakers' ),
	    		    		'floor' => 'garden7',
	    		    		'orderby' => 'date',
	    		    		'order' => 'DESC',
	    		    		'paged' => get_query_var('paged'),
	    		    		'posts_per_page' => -1,
	    		    	)
	    		    );
	    		    if (have_posts()) : ?>
	    		    
	    		    <h2>garden7</h2>
	    		    <ul class="speakers_list">
	    		    <?php while (have_posts()) : the_post(); ?>
	    		    
	    		    
	    		    <li>
	    		    	<div class="speaker_contents">
	    		    	<a href="<?php the_permalink(); ?>">
	    		    	
	    		    	
	    		    		<?php //投稿サムネイル（アイキャッチ画像）を呼び出す。※functions.php内に記述済み。
								//This must be in one loop
							    $title = get_the_title();
							    
							    if(has_post_thumbnail()) {
							    	the_post_thumbnail( array(200,200), array('title' => $title . 'さんのページへ'));
							    } else {
							    	echo ''; //画像が内場合は、そのまま画像なしで表示させる
							    }
							?><br />
							<?php the_title(); ?></a>
							<?php //▲サムネイルを出力させる ?>
	    		    		<?php //the_excerpt(); ?>
	    		    	<!-- .news_contents end --></div>
	    		    	        	
	    		    	
	    		    </li>
	    		    
	    		    
	    		    
	    		    
	    		<?php endwhile; endif; ?>
	    		
	    		<?php //bmPageNavi(); ?>
	    		
	    		<?php wp_reset_query(); ?>
			</ul>
			<!-- .floor_list end --></div>
			
		<?php elseif( is_tax( 'floor', array( 'garden6', 'garden7', 'oprn_garden' ) ) ) : ?>
		
			<div class="floor_list">
	
	
				<?php //カスタム投稿タイプの講演者一覧をリスト表示
	    		    query_posts(
	    		    	array(
	    		    		'post_type' => array( 'speakers' ),
	    		    		'floor' => array( 'open_garden', 'garden6', 'garden7' ),
	    		    		'orderby' => 'date',
	    		    		'order' => 'DESC',
	    		    		'paged' => get_query_var('paged'),
	    		    		'posts_per_page' => -1,
	    		    	)
	    		    );
	    		    if (have_posts()) : ?>
	    		    
	    		    <h2>オープンガーデン</h2>
	    		    <ul class="speakers_list">
	    		    <?php while (have_posts()) : the_post(); ?>
	    		    
	    		    
	    		    <li>
	    		    	<div class="speaker_contents">
	    		    	<a href="<?php the_permalink(); ?>">
	    		    	
	    		    	
	    		    		<?php //投稿サムネイル（アイキャッチ画像）を呼び出す。※functions.php内に記述済み。
								//This must be in one loop
							    $title = get_the_title();
							    
							    if(has_post_thumbnail()) {
							    	the_post_thumbnail( array(200,200), array('title' => $title . 'さんのページへ'));
							    } else {
							    	echo ''; //画像が内場合は、そのまま画像なしで表示させる
							    }
							?><br />
							<?php the_title(); ?></a>
							<?php //▲サムネイルを出力させる ?>
	    		    		<?php //the_excerpt(); ?>
	    		    	<!-- .news_contents end --></div>
	    		    	        	
	    		    	
	    		    </li>
	    		    
	    		    
	    		    
	    		    
	    		<?php endwhile; endif; ?>
	    		
	    		<?php //bmPageNavi(); ?>
	    		
	    		<?php wp_reset_query(); ?>
			</ul>
			<!-- .floor_list end --></div>
		
		<?php endif; ?>
	
		
		<?php edit_post_link( __( 'Edit', 'twentyeleven' ), '<span class="edit-link">', '</span>' ); ?>

	</footer><!-- .entry-meta -->
</article><!-- #post-<?php the_ID(); ?> -->
