<?php

/****************************************************************************/

/* ! 特徴・みどころカスタム投稿タイプを作成 */

/****************************************************************************/
//Top copy
function add_digest_type(){
	$args = array(
		'label' 				=> '特徴・みどころ',
		'labels' 				=> array(
			'singular_name'			=> '特徴・みどころ',
			'add_new_item'			=> '特徴・みどころ',
			'add_new'				=> '新規追加',
			'new_item'				=> '新規特徴・みどころ',
			'view_item'				=> '特徴・みどころを表示',
			'not_found'				=> '特徴・みどころは見つかりませんでした',
			'not_found_in_trash'	=> 'ゴミ箱に特徴・みどころはありません',
			'search_items'			=> '特徴・みどころを検索',
			'has_archive'			=> true,
			'rewrite' 				=> true,
			'hierarchical'			=> true,
		),
		'public' 			=> true,
		'hierachical'		=> false,
		'menu_position'		=> 5,
		'supports'			=> array('title', 'editor', 'thumbnail', 'custom-fields')
	);
	register_post_type('digest', $args);
	global $wp_rewrite;
	$wp_rewrite->flush_rules();
}
add_action('init', 'add_digest_type');


/****************************************************************************/

/* ! スポンサーカスタム投稿タイプを作成 */

/****************************************************************************/
//スポンサー
function add_sponsor_entry_type(){
	$args = array(
		'label' 				=> 'スポンサー',
		'labels' 				=> array(
			'singular_name'			=> 'スポンサー',
			'add_new_item'			=> 'スポンサーを新規追加',
			'add_new'				=> '新規追加',
			'new_item'				=> '新規スポンサー',
			'view_item'				=> 'スポンサーを表示',
			'not_found'				=> 'スポンサーは見つかりませんでした',
			'not_found_in_trash'	=> 'ゴミ箱にスポンサーはありません',
			'search_items'			=> 'スポンサーを検索',
			'has_archive'			=> true,
			'rewrite' 				=> true,
			'hierarchical'			=> true,
		),
		'public' 			=> true,
		'hierachical'		=> false,
		'menu_position'		=> 5,
		'supports'			=> array('title', 'editor', 'thumbnail', 'custom-fields')
	);
	register_post_type('sponsor_entry', $args);
	global $wp_rewrite;
	$wp_rewrite->flush_rules();
}
add_action('init', 'add_sponsor_entry_type');


/****************************************************************************/

/* ! 講演者カスタム投稿タイプを作成 */

/****************************************************************************/
//講演者
function add_speakers_type(){
	$args = array(
		'label' 				=> '講演者',
		'labels' 				=> array(
			'singular_name'			=> '講演者',
			'add_new_item'			=> '講演者を新規追加',
			'add_new'				=> '新規追加',
			'new_item'				=> '新規講演者',
			'view_item'				=> '講演者を表示',
			'not_found'				=> '講演者は見つかりませんでした',
			'not_found_in_trash'	=> 'ゴミ箱に講演者はありません',
			'search_items'			=> '講演者を検索',
			'has_archive'			=> true,
			//'rewrite' 				=> true,
			//'rewrite' => array( 'slug' => 'floor' ),
			'hierarchical'			=> true,
		),
		'public' 			=> true,
		'hierachical'		=> false,
		'menu_position'		=> 5,
		'supports'			=> array('title', 'editor', 'thumbnail', 'custom-fields')
	);
	register_post_type('speakers', $args);
	global $wp_rewrite;
	$wp_rewrite->flush_rules();
	
	
	$args = array(
		'label' => '会場',
		'labels' => array(
			'name' => '会場',
			'singular_name' => '会場',
			'search_items' => '会場を検索',
			'popular_items' => 'よく使われている会場',
			'all_items' => 'すべての会場',
			'parent_item' => '親会場ー',
			'edit_item' => '会場の編集',
			'update_item' => '更新',
			'add_new_item' => '新規会場を追加',
			'new_item_name' => '新しい会場',
    ),
		'public' => true,
		'show_ui' => true,
		'hierarchical' => true,
		'rewrite' => array( 'slug' => 'floor' ),
		'query_var' => true,
	);
	register_taxonomy('floor', 'speakers', $args);
	global $wp_rewrite;
	$wp_rewrite->flush_rules();
}
add_action('init', 'add_speakers_type');

?>