<?php

/****************************************************************************/

/* ! header image resize */

/****************************************************************************/
add_filter( 'twentyeleven_header_image_height', create_function( '' , 'return 238;' ) );


/****************************************************************************/

/* ! add custom post type */

/****************************************************************************/
get_template_part( 'function_custom_post' );

/****************************************************************************/

/* ! social widget */

/****************************************************************************/
register_sidebar( array(
	'name' => 'RSS,facebook, Twitterリンク',
	'id' => 'social',
	'description' => 'RSS, facebook, Twitterアイコンのパスを入れます。',
	'before_widget' => '<div id="%1$s" class="social_widget_container %2$s">',
	'after_widget' => '</div>',
));

/****************************************************************************/

/* ! twitter widget */

/****************************************************************************/
register_sidebar( array(
	'name' => 'WordVolcano公式Twitterアカウント',
	'id' => 'wvkago',
	'description' => 'WordVolcano公式Twitterアカウントを書き込んでください。',
	'before_widget' => '<div id="%1$s" class="twitter_widget_container %2$s">',
	'after_widget' => '</div>',
	'before_title' => '<h3 class="wvkago_widget-title">',
	'after_title' => '</h3>',
));

/****************************************************************************/

/* ! banner widget */

/****************************************************************************/
register_sidebar( array(
	'name' => 'バナーボタン',
	'id' => 'join_banner',
	'description' => 'サイドバー用参加登録ボタン',
	'before_widget' => '<div id="%1$s" class="button_side_widget_container %2$s">',
	'after_widget' => '</div>',
));


/****************************************************************************/

/* ! browser check */

/****************************************************************************/
function browser_body_class($classes) {
	global $is_lynx, $is_gecko, $is_IE, $is_opera, $is_NS4, $is_safari, $is_chrome, $is_iphone;

	if($is_lynx)		$classes[] = 'lynx';
	elseif($is_gecko)	$classes[] = 'gecko';
	elseif($is_opera)	$classes[] = 'opera';
	elseif($is_NS4)		$classes[] = 'ns4';
	elseif($is_safari)	$classes[] = 'safari';
	elseif($is_chrome)	$classes[] = 'chrome';
	elseif($is_IE)		$classes[] = 'ie';
	else				$classes[] = 'unknown';
	
	if($is_iphone)     $classes[] = 'iphone';
	return $classes;
}
add_filter('body_class','browser_body_class');


/****************************************************************************/

/* ! load jquery */

/****************************************************************************/
function addScripts() {
	if (!is_admin()) {
		wp_enqueue_script( 'jquery' );
	}
}
add_action('wp_print_scripts', 'addScripts');

/****************************************************************************/

/* ! add ipad */

/****************************************************************************/
function is_ipad () {
	$_ret = false;
	if ( preg_match( '/iPad/i', $_SERVER['HTTP_USER_AGENT'] ) ) {
		$_ret = true;
	}
	return $_ret;
}

/****************************************************************************/

/* ! twentyeleven_content_nav over write */

/****************************************************************************/
if ( ! function_exists( 'wv_content_nav' ) ) :
/**
 * Display navigation to next/previous pages when applicable
 */
function wv_content_nav( $nav_id ) {
	global $wp_query;

	if ( $wp_query->max_num_pages > 1 ) : ?>
		<nav id="<?php echo $nav_id; ?>">
			<div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Older posts', 'twentyeleven' ) ); ?></div>
			<div class="nav-next"><?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&rarr;</span>', 'twentyeleven' ) ); ?></div>
		</nav><!-- #nav-above -->
	<?php endif;
}
endif; // twentyeleven_content_nav

/****************************************************************************/

/* ! add slug to body_class */

/****************************************************************************/
function my_body_class() {
	if (is_page()) {
		$page = get_page(get_the_ID());
		$slug = $page->post_name;
		body_class("page-" . $slug);
	} else {
		body_class();
	}
}

/****************************************************************************/

/* ! breadcrumb */

/****************************************************************************/
function dimox_breadcrumbs() {

	$delimiter = '&raquo;';
	$home = 'ホーム'; // text for the 'Home' link
	$before = '<span class="current">'; // tag before the current crumb
	$after = '</span>'; // tag after the current crumb

	if ( !is_home() && !is_front_page() || is_paged() ) {


	global $post;
	$homeLink = get_bloginfo('url');
	echo '<a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';

	if ( is_category() ) {
		global $wp_query;
		$cat_obj = $wp_query->get_queried_object();
		$thisCat = $cat_obj->term_id;
		$thisCat = get_category($thisCat);
		$parentCat = get_category($thisCat->parent);
		if ($thisCat->parent != 0) echo(get_category_parents($parentCat, TRUE, ' ' . $delimiter . ' '));
		echo $before . 'カテゴリー "' . single_cat_title('', false) . '"' . $after;

	} elseif ( is_day() ) {
	  echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
	  echo '<a href="' . get_month_link(get_the_time('Y'),get_the_time('m')) . '">' . get_the_time('F') . '</a> ' . $delimiter . ' ';
	  echo $before . get_the_time('d') . $after;

	} elseif ( is_month() ) {
	  echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
	  echo $before . get_the_time('F') . $after;
	
	} elseif ( is_year() ) {
	  echo $before . get_the_time('Y') . $after;
	
	} elseif ( is_single() && !is_attachment() ) {
		if ( get_post_type() != 'post' ) {
		  $post_type = get_post_type_object(get_post_type());
		  $slug = $post_type->rewrite;
		  echo '<a href="' . $homeLink . '/' . $slug['slug'] . '/">' . $post_type->labels->singular_name . '</a> ' . $delimiter . ' ';
		  echo $before . get_the_title() . $after;
		} else {
		  $cat = get_the_category(); $cat = $cat[0];
		  echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
		  echo $before . get_the_title() . $after;
		}

	} elseif ( !is_single() && !is_page() && get_post_type() != 'post' && !is_404() ) {
	  $post_type = get_post_type_object(get_post_type());
	  echo $before . $post_type->labels->singular_name . $after;
	
	} elseif ( is_attachment() ) {
		$parent = get_post($post->post_parent);
		$cat = get_the_category($parent->ID); $cat = $cat[0];
		echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
		echo '<a href="' . get_permalink($parent) . '">' . $parent->post_title . '</a> ' . $delimiter . ' ';
		echo $before . get_the_title() . $after;

	} elseif ( is_page() && !$post->post_parent ) {
	  echo $before . get_the_title() . $after;
	
	} elseif ( is_page() && $post->post_parent ) {
		$parent_id  = $post->post_parent;
		$breadcrumbs = array();
		while ($parent_id) {
			$page = get_page($parent_id);
			$breadcrumbs[] = '<a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a>';
			$parent_id  = $page->post_parent;
		}
	$breadcrumbs = array_reverse($breadcrumbs);
	foreach ($breadcrumbs as $crumb) echo $crumb . ' ' . $delimiter . ' ';
	echo $before . get_the_title() . $after;

	} elseif ( is_search() ) {
	  echo $before . '検索結果 "' . get_search_query() . '"' . $after;
	
	} elseif ( is_tag() ) {
	  echo $before . 'タグ別アーカイブ "' . single_tag_title('', false) . '"' . $after;
	
	} elseif ( is_author() ) {
		global $author;
		$userdata = get_userdata($author);
		echo $before . 'Author ' . $userdata->display_name . $after;

	} elseif ( is_404() ) {
	  echo $before . '見つかりませんでした' . $after;
	}

	if ( get_query_var('paged') ) {
	  if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ' (';
	  echo __('Page') . ' ' . get_query_var('paged');
	  if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ')';
	}


	}
} // end dimox_breadcrumbs()


/****************************************************************************/

/* ! add admin panel twitter account */

/****************************************************************************/
//function my_new_contactmethods( $contactmethods ) {
//	$contactmethods['twitter'] = 'Twitter';
//	return $contactmethods;
//}
//add_filter('user_contactmethods','my_new_contactmethods',10,1);


/****************************************************************************/

/* ! nav for win */

/****************************************************************************/
add_theme_support('menus');
register_nav_menus(array(
	'main_menu' 			=> 'グローバルナビ部分',
));
//output toppage
function win_global_nav() {
	wp_nav_menu(array(
		'theme_location'	=> 'main_menu',
		'container'			=> 'div',
		'container_class'	=> 'menu',
		'show_home'			=> true,
		'menu_class'		=> 'menu',
	));
}

/****************************************************************************/

/* ! user list */

/****************************************************************************/
function user_lists() {
echo '<div id="user_lists">';
?>

<?php
	$users = get_users( 'orderby=registered' );
	foreach ($users as $user) :
	?>
	<div class="user_info">
		<h2 class="user_disp_name"><?php echo $user->display_name; ?></h2>
		<p class="user_gravatar">
		<?php
			$use_icon = get_user_meta( $user->ID, 'use_icon', true ); 
		
			$wv_avatar = get_user_meta($user->ID, 'icon_select', true);
			//echo $wv_avatar;
			$wv_avatar_url = '<img class="avatar" src="' . get_bloginfo('stylesheet_directory') . '/images/avatar/' . $wv_avatar . '.gif" width="60" />';
			//echo $wv_avatar_url;
			//s$wv_avatar_url = get_bloginfo( 'stylesheet_directory' ) . '/images/avatar/' . $wv_avatar . '.gif';
			
			$twitter = get_user_meta($user->ID, 'twitter', true);
			$twitter_url = '<img src="http://api.twitter.com/1/users/profile_image?screen_name=' . $twitter . '&size=bigger" width="60" />';
			
			if( $use_icon == 'use_volcano' ) {
				echo $wv_avatar_url;
			} elseif( $use_icon == 'use_twitter' ) {
				echo $twitter_url;
			} elseif( $use_icon == 'use_gravatar' ) {
				echo get_avatar($user->ID, '60' );
			}
			
		?>
		</p>
		<?php $twitter = get_user_meta($user->ID, 'twitter', true); ?>
		<?php if($twitter) :?>
		<p class="user_twitter_account">@<?php echo strip_tags($twitter); ?></p>
		<?php endif; ?>
	<!-- .user_info end --></div>
	<?php endforeach; ?>
	<?php echo '<!-- #user_list end --></div>'; ?>
<?php
}
add_shortcode( 'userlist', 'user_lists' );

/****************************************************************************/

/* ! user count */

/****************************************************************************/
function user_count() { ?>
<?php if( is_page( 'join' ) ) : ?>
<h2>登録ページへ</h2>
<?php elseif( is_page( 'attendees' ) ) : ?>
<h2>参加者一覧</h2>
<?php endif; ?>
			<div id="users_count">
					
				<?php
				//global $user;
				$max_num = get_post_meta( 17, 'max', true );
				$users = get_users('role=&fields=all');
				$number_of_users = count($users);
				$party = get_users('meta_value=join');
				$number_of_party = count($party);
				//$party_num = count($party);
				?>
				
				<h3><span><?php echo $number_of_users; ?></span>人 / <?php echo $max_num; ?>人　懇親会 <span><?php echo $number_of_party; ?></span>人<br />登録状況<?php echo date('Y/m/d', current_time('timestamp')); ?>現在</h3>
				<!-- #users_count end --></div><?php
}
add_shortcode( 'usercount', 'user_count' );

function user_loginout_register() { ?>
	
	<div class="user_loginout_register"><?php

	if( !is_user_logged_in() ) {
		global $post, $users;
		$users = get_users('role=&fields=all');
		$number_of_users = count($users);
		$max_num = get_post_meta( 17, 'max', true );
		$nownow = date('Y/m/d H:i', current_time('timestamp'));
		if( $number_of_users < $max_num ) {
			wp_register('<small class="link-meta">', '</small>'); //登録リンクを出力
			
			update_option('users_can_register', 1);
			/* header( "Location: " . $_SERVER[ 'PHP_SELF' ] ); */
			
			/* mb_send_mail("bolas880region@m.facebook.com", "参加枠に空きがあります。 $nownow http://wordvolcano.info/join", "", "From: mail@wordvolcano.info"); */
						
		} elseif( $number_of_users >= $max_num ) {
		
			update_option('users_can_register', 0);
			/* header( "Location: " . $_SERVER[ 'PHP_SELF' ] ); */
		
			echo '<p style="text-align: center;"><strong style="color: #E60012;">満員御礼!! 乞うご期待です!!</strong></p>';
			
			/* mb_send_mail("bolas880region@m.facebook.com", "満席となりました。 $nownow http://wordvolcano.info/join", "", "From: mail@wordvolcano.info"); */
			
		}
	 ?>
	<small class="link-meta"><a href="<?php echo wp_login_url() ?>">ログイン</a></small>
<?php } else { ?>
	<small class="link-meta"><a href="<?php echo wp_logout_url() ?>?redirect_to=<?php echo esc_attr($_SERVER['REQUEST_URI']) ?>">ログアウト</a></small>
<?php } ?>
		
			
			<!-- #user_loginout_register end --></div><?php
}
add_shortcode( 'userloginoutregister', 'user_loginout_register' );

/****************************************************************************/

/* ! register for new user */

/****************************************************************************/ 
add_action( 'show_user_profile', 'show_extra_profile_fields', 10 );
add_action( 'edit_user_profile', 'show_extra_profile_fields', 10 );
 
function show_extra_profile_fields( $user ) { ?>

 	<h2>追加登録情報</h2>
	<h3>Twitter アカウント</h3>
	<table class="form-table">
		<tr>
			<th><label for="twitter">Twitter アカウント</label></th>
			<td>
				<input type="text" name="twitter" id="twitter" value="<?php echo strip_tags( get_the_author_meta( 'twitter', $user->ID ) ); ?>" class="regular-text" />
				<span class="description">Twitterアカウントは<a href="<?php bloginfo( 'url' ); ?>/attendees">参加者ページ</a>へ表示されます</span>
			</td>
		</tr>
	</table>
	<h3>懇親会予約</h3>
	<table class="form-table">
		<tr>
			<th>懇親会</th>
			<td>
				
				<?php $party = NULL; $party = get_the_author_meta( 'party', $user->ID, true ); ?>
				<input value="no" name="party" type="hidden" />
				<label for="party">
				<input id="party" value="join" name="party" <?php if ( $party == 'join' ) { ?>checked="checked"<?php } ?> type="checkbox" />
				参加する
				</label><br />
				<span class="description">懇親会へ参加予定の方は、チェックを入れてください。</span>
				
			</td>			
		</tr>
 
	</table>
	<h3>アバター</h3>
	<?php $use_icon = get_user_meta( $user->ID, 'use_icon', true ); echo $use_icon; ?>
	<table class="form-table" id="icon_teble">
		<tr>
		<th>WordVolcanoアイコンを使う</th>
		<td class="border_box">
			<label for="use_volcano">
				<input id="use_volcano" type="radio" checked="checked" name="use_icon" value="use_volcano" />
				WordVolcanoアイコンを使っちゃう!!
			</label>
			<?php $wv_avatar = get_user_meta($user->ID, 'icon_select', true); ?>
			<input type="hidden" name="icon_select" id="icon_select" value="no_image" />
			<ul class="wv_avatar">
			    <li>
			    	<label for="volcano_icon_01">
			    		<input type="radio" checked="checked" name="icon_select" id="volcano_icon_01" value="volcano_icon_01" />
			    		<img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/avatar/volcano_icon_01.gif" />
			    	</label>
			    </li>
			    <li>
			    	<label for="volcano_icon_02">
			    		<input type="radio" <?php if($wv_avatar == 'volcano_icon_02') { ?> checked="checked" <?php } ?> name="icon_select" id="volcano_icon_02" value="volcano_icon_02" />
			    		<img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/avatar/volcano_icon_02.gif" />
			    	</label>
			    </li>
			    <li>
			    	<label for="volcano_icon_03">
			    		<input type="radio" <?php if($wv_avatar == 'volcano_icon_03') { ?> checked="checked" <?php } ?> name="icon_select" id="volcano_icon_03" value="volcano_icon_03" />
			    		<img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/avatar/volcano_icon_03.gif" />
			    	</label>
			    </li>
			    <li>
			    	<label for="volcano_icon_04">
			    		<input type="radio" <?php if($wv_avatar == 'volcano_icon_04') { ?> checked="checked" <?php } ?> name="icon_select" id="volcano_icon_04" value="volcano_icon_04" />
			    		<img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/avatar/volcano_icon_04.gif" />
			    	</label>
			    </li>
			    <li>
			    	<label for="volcano_icon_05">
			    		<input type="radio" <?php if($wv_avatar == 'volcano_icon_05') { ?> checked="checked" <?php } ?> name="icon_select" id="volcano_icon_05" value="volcano_icon_05" />
			    		<img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/avatar/volcano_icon_05.gif" />
			    	</label>
			    </li>
			    <li>
			    	<label for="volcano_icon_06">
			    		<input type="radio" <?php if($wv_avatar == 'volcano_icon_06') { ?> checked="checked" <?php } ?> name="icon_select" id="volcano_icon_06" value="volcano_icon_06" />
			    		<img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/avatar/volcano_icon_06.gif" />
			    	</label>
			    </li>
			    <li>
			    	<label for="volcano_icon_07">
			    		<input type="radio" <?php if($wv_avatar == 'volcano_icon_07') { ?> checked="checked" <?php } ?> name="icon_select" id="volcano_icon_07" value="volcano_icon_07" />
			    		<img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/avatar/volcano_icon_07.gif" />
			    	</label>
			    </li>
			    <li>
			    	<label for="volcano_icon_08">
			    		<input type="radio" <?php if($wv_avatar == 'volcano_icon_08') { ?> checked="checked" <?php } ?> name="icon_select" id="volcano_icon_08" value="volcano_icon_08" />
			    		<img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/avatar/volcano_icon_08.gif" />
			    	</label>
			    </li>
			    <li>
			    	<label for="volcano_icon_09">
			    		<input type="radio" <?php if($wv_avatar == 'volcano_icon_09') { ?> checked="checked" <?php } ?> name="icon_select" id="volcano_icon_09" value="volcano_icon_09" />
			    		<img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/avatar/volcano_icon_09.gif" />
			    	</label>
			    </li>
			    <li>
			    	<label for="volcano_icon_10">
			    		<input type="radio" <?php if($wv_avatar == 'volcano_icon_10') { ?> checked="checked" <?php } ?> name="icon_select" id="volcano_icon_10" value="volcano_icon_10" />
			    		<img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/avatar/volcano_icon_10.gif" />
			    	</label>
			    </li>
			    <li>
			    	<label for="volcano_icon_11">
			    		<input type="radio" <?php if($wv_avatar == 'volcano_icon_11') { ?> checked="checked" <?php } ?> name="icon_select" id="volcano_icon_11" value="volcano_icon_11" />
			    		<img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/avatar/volcano_icon_11.gif" />
			    	</label>
			    </li>
			    <li>
			    	<label for="volcano_icon_12">
			    		<input type="radio" <?php if($wv_avatar == 'volcano_icon_12') { ?> checked="checked" <?php } ?> name="icon_select" id="volcano_icon_12" value="volcano_icon_12" />
			    		<img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/avatar/volcano_icon_12.gif" />
			    	</label>
			    </li>
			    <li>
			    	<label for="volcano_icon_13">
			    		<input type="radio" <?php if($wv_avatar == 'volcano_icon_13') { ?> checked="checked" <?php } ?> name="icon_select" id="volcano_icon_13" value="volcano_icon_13" />
			    		<img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/avatar/volcano_icon_13.gif" />
			    	</label>
			    </li>
			    <li>
			    	<label for="volcano_icon_14">
			    		<input type="radio" <?php if($wv_avatar == 'volcano_icon_14') { ?> checked="checked" <?php } ?> name="icon_select" id="volcano_icon_14" value="volcano_icon_14" />
			    		<img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/avatar/volcano_icon_14.gif" />
			    	</label>
			    </li>
			</ul>
		</td>
		</tr>
		<tr>
		<th>Gravatarを使う</th>
		<td>
			<label for="use_gravatar">
				<input type="radio" id="use_gravatar" <?php if($use_icon == 'use_gravatar') { ?>checked="checked"<?php } ?>  name="use_icon" value="use_gravatar" />
				いやいや、Gravatarを使うでしょ。
			</label><br />
			<span class="description"><a href="http://ja.gravatar.com/">Gravata</a>に登録すると、アバターが表示されますよ :D これ → </span>
			<?php echo get_avatar( $user->ID, "60" ); ?>
		</td>
		</tr>
		<tr>
		<th>Twitterを使う</th>
		<td>
			<label for="use_twitter">
				<input type="radio" id="use_twitter" <?php if($use_icon == 'use_twitter') { ?>checked="checked"<?php } ?>  name="use_icon" value="use_twitter" />
				Twitterアカウントのアイコンで。
			</label>
			<?php
				$twitter = get_user_meta($user->ID, 'twitter', true);
				$twitter_url = '<img class="avatar" src="http://api.twitter.com/1/users/profile_image?screen_name=' . $twitter . '&size=bigger" width="60" />';
				if( !empty( $twitter ) ) {
					echo $twitter_url;
				} else {
					echo '<br />Twitterアカウントを入力するとアイコンが表示されます。';
				}
			?>
		</td>
		</tr>
		<tr>
			<th>WordVolcanoの参加証（640×960）</th>
			<td><img src="http://wordvolcano.info/wp/wp-content/uploads/2012/07/registered.jpg" width="320" height="auto" alt="参加登録済み認証画像" /></td>
		</tr>
		<tr>
			<th>WordVolcanoの参加証（320x480）</th>
			<td><img src="http://wordvolcano.info/wp/wp-content/uploads/2012/07/registered_s.jpg" width="160" height="auto" alt="参加登録済み認証画像" /></td>
		</tr>
	</table>	
<?php }
 
add_action( 'personal_options_update', 'save_extra_profile_fields' );
add_action( 'edit_user_profile_update', 'save_extra_profile_fields' );
 
function save_extra_profile_fields( $user_id ) {
	//if ( !current_user_can( 'edit_user', $user_id ) )
		//return false;
 
	update_user_meta( $user_id, 'twitter', $_POST['twitter'] );
	update_user_meta( $user_id, 'party', $_POST['party'] );
	update_user_meta( $user_id, 'icon_select', $_POST['icon_select'] );
	update_user_meta( $user_id, 'use_icon', $_POST['use_icon'] );
}


/****************************************************************************/

/* ! add register form some fields */

/****************************************************************************/
// This function shows the form fiend on registration page
add_action('register_form','show_add_menu_field');

// This is a check to see if you want to make a field required
add_action('register_post','check_fields',10,3);

// This inserts the data
add_action('user_register', 'register_extra_fields');

add_action('user_register','register_extra_fields');


// This is the forms The Two forms that will be added to the wp register page
function show_add_menu_field(){
?>

<div class="additional_area">
<p>
<label>Twitter<br />
<input id="twitter" class="input" type="text" <?php if(!empty($_POST['twitter'])) { ?> value="<?php echo esc_attr($_POST['twitter']); ?>" <?php } ?> tabindex="20" size="25" name="twitter"/><br />
</label>
<span class="description">Twitterアカウントを入力されますと、<a href="<?php bloginfo( 'url' ); ?>/attendees">参加者ページ</a>に表示されます。</span><br />
</p>

<p class="division">
<input value="no" name="party" type="hidden" />
<label>懇親会<br />
<input class="check_check" value="join" name="party" type="checkbox" <?php if( !empty( $_POST['party'] ) && $_POST['party'] == 'join' ) { ?> checked="checked" <?php } ?> tabindex="20" />参加する<br />
</label>
<span class="description">懇親会へ参加予定の方は、チェックを入れてください。</span>
</p>

<p class="division">
<!-- <input value="no" name="use_icon" type="hidden" /> -->
<input type="hidden" name="icon_select" id="icon_select" value="volcano_icon_01" />
<label>アイコン<br />
<input class="check_check" value="use_volcano" name="use_icon" type="checkbox" <?php if( !empty( $_POST['use_icon'] ) && $_POST['use_icon'] == 'use_volcano' ) { ?> checked="checked" <?php } ?> tabindex="20" />WordVolcanoアイコンを使う<br />
</label>
<span class="description">WordVolcanoアイコンを表示します。ログイン後に変更できます。</span>
</p>

<!-- .additional_area end --></div>

<?php
}

// This function checks to see if they didn't enter them
// If no first name or last name display Error
function check_fields($login, $email, $errors) {
	global $firstname, $lastname, $twitter;
	//$check_account = preg_match("/[a-z0-9_]+/i", $_POST['twitter']);
	if (preg_match("/\W{1,15}/", $_POST['twitter']) )  {
		$errors->add('empty_realname', "<strong>あれ？</strong>: あれれ？Twitterアカウントがおかしいかもです…^^; こちらは登録後に設定できますので、空欄でもOKです (^^)");
	} else {
		$twitter = $_POST['twitter'];
	}
}

// This is where the magiv happens
function register_extra_fields($user_id, $password="", $meta=array())  {

// Gotta put all the info into an array
$userdata = array();
$userdata['ID'] = $user_id;

// First name
//$userdata['first_name'] = $_POST['first'];

// Last Name
//$userdata['last_name'] = $_POST['last'];

// Twitter account
$twitter['twitter'] = $_POST['twitter'];

// Party
$paty['party'] = $_POST['party'];

// Gravatar
$icon_select['icon_select'] = $_POST['icon_select'];
$use_volcano['use_icon'] = $_POST['use_icon'];

// Enters into DB
wp_update_user($userdata);

// This is for custom meta data "gender" is the custom key and M is the value
update_user_meta( $user_id, 'twitter', $twitter['twitter'] );
update_user_meta( $user_id, 'party', $paty['party'] );
update_user_meta( $user_id, 'use_icon', $use_volcano['use_icon'] );
update_user_meta( $user_id, 'icon_select', $icon_select['icon_select'] );

}

/****************************************************************************/

/* ! admin style */

/****************************************************************************/
//ログイン画面のスタイル設定
function login_css() {
	echo '<link rel="stylesheet" type="text/css" href="'.get_bloginfo("stylesheet_directory").'/login.css">';
}
add_action('login_head', 'login_css');

/****************************************************************************/

/* ! load original style to admin panel */

/****************************************************************************/
//if (!current_user_can('edit_users')) {
function admin_css() {
	echo '<link rel="stylesheet" type="text/css" href="'.get_bloginfo( "stylesheet_directory" ).'/admin.css">';
}
add_action('admin_head', 'admin_css');
//}

/****************************************************************************/

/* ! change text ( login ) http://ja.forums.wordpress.org/topic/7992?replies=7, http://www.warna.info/archives/1581/ */

/****************************************************************************/
function custom_gettext( $translated, $text, $domain ) {
    $custom_translates = array(
        'default' => array(
            'このブログに登録' => 'WordVolcanoに登録お願いします!! (^^)',
            '登録' => '参加登録',
        )
    );
    if ( isset( $custom_translates[$domain] ) ) {
        $translated = str_replace( array_keys( $custom_translates[$domain] ), $custom_translates[$domain], $translated );
    }
    return $translated;
}
add_filter( 'gettext', 'custom_gettext', 10, 3 );

/****************************************************************************/

/* ! unset */

/****************************************************************************/
function hide_profile_fields( $contactmethods ) {
  unset($contactmethods['url']);
  unset($contactmethods['aim']);
  unset($contactmethods['jabber']);
  unset($contactmethods['yim']);
  return $contactmethods;
}
add_filter('user_contactmethods','hide_profile_fields');

/****************************************************************************/

/* ! remove menu */

/****************************************************************************/
remove_filter( 'admin_color_scheme_picker', 'admin_color_scheme_picker' );

/****************************************************************************/

/* ! admin bar remove */

/****************************************************************************/
function mytheme_admin_bar_render() {
	global $wp_admin_bar;
	$wp_admin_bar->remove_menu('updates');
	$wp_admin_bar->remove_menu('comments');
}
add_action( 'wp_before_admin_bar_render', 'mytheme_admin_bar_render' );

/****************************************************************************/

/* ! change logo */

/****************************************************************************/
//ログイン画面のロゴのリンク設定（変更）
function custom_login_logo_link(){
    return bloginfo('url'); 
}
add_filter('login_headerurl','custom_login_logo_link');

//ログイン画面ロゴのリンクタイトルを変更
function custom_login_logo_title(){
    return bloginfo('name');
}
add_filter('login_headertitle','custom_login_logo_title');


/****************************************************************************/

/* ! sponsor list */

/****************************************************************************/
function sponsor_list() { ?>
	<ul id="sponsor_list">
		<?php wp_list_bookmarks('before=<span>&after=</span>&show_images=1&show_description=0&orderby=rating&category_orderby=ID'); ?>
	</ul>
<?php }
add_shortcode( 'sponsorlist', 'sponsor_list' );


/****************************************************************************/

/* ! speakers_list */

/****************************************************************************/
	/****************************************************************************/
	
	/* ! garden6 */
	
	/****************************************************************************/
	function add_speakers_list_garden6() { ?>
	<div class="floor_list">
	
		<?php //カスタム投稿タイプの講演者一覧をリスト表示
	        query_posts(
	        	array(
	        		'post_type' => array( 'speakers' ),
	        		'floor' => 'garden6',
	        		'orderby' => 'date',
	        		'order' => 'DESC',
	        		'paged' => get_query_var('paged'),
	        		'posts_per_page' => -1,
	        	)
	        );
	        if (have_posts()) : ?>
	        
	        <h2>garden6</h2>
			<ul class="speakers_list">
	        
	        <?php while (have_posts()) : the_post(); ?>
	        
	        
	        <li>
	        	<div class="speaker_contents">
	        	<a href="<?php the_permalink(); ?>">
	        	
	        	
	        		<?php //投稿サムネイル（アイキャッチ画像）を呼び出す。※functions.php内に記述済み。
						//This must be in one loop
					    $title = get_the_title();
					    
					    if(has_post_thumbnail()) {
					    	the_post_thumbnail( array(200,200), array('title' => $title . 'さんのページへ'));
					    } else {
					    	echo ''; //画像が内場合は、そのまま画像なしで表示させる
					    }
					?><br />
					<?php the_title(); ?></a>
					<?php //▲サムネイルを出力させる ?>
					
					
	        		<?php //the_excerpt(); ?>
	        	<!-- .news_contents end --></div>
	        	        	
	        	
	        </li>
	        
	        
	        
	        
	    <?php endwhile; endif; ?>
	    
	    <?php //bmPageNavi(); ?>
	    
	    <?php wp_reset_query(); ?>
	</ul>
	<!-- .floor_list end --></div>
	
	<?php }
	add_shortcode( 'speakerslist6', 'add_speakers_list_garden6' );


	/****************************************************************************/
	
	/* ! garden7 */
	
	/****************************************************************************/
	function add_speakers_list_garden7() { ?>
	<div class="floor_list">
	
	
		<?php //カスタム投稿タイプの講演者一覧をリスト表示
	        query_posts(
	        	array(
	        		'post_type' => array( 'speakers' ),
	        		'floor' => 'garden7',
	        		'orderby' => 'date',
	        		'order' => 'DESC',
	        		'paged' => get_query_var('paged'),
	        		'posts_per_page' => -1,
	        	)
	        );
	        if (have_posts()) : ?>
	        
	        <h2>garden7</h2>
	        <ul class="speakers_list">
	        <?php while (have_posts()) : the_post(); ?>
	        
	        
	        <li>
	        	<div class="speaker_contents">
	        	<a href="<?php the_permalink(); ?>">
	        	
	        	
	        		<?php //投稿サムネイル（アイキャッチ画像）を呼び出す。※functions.php内に記述済み。
						//This must be in one loop
					    $title = get_the_title();
					    
					    if(has_post_thumbnail()) {
					    	the_post_thumbnail( array(200,200), array('title' => $title . 'さんのページへ'));
					    } else {
					    	echo ''; //画像が内場合は、そのまま画像なしで表示させる
					    }
					?><br />
					<?php the_title(); ?></a>
					<?php //▲サムネイルを出力させる ?>
					
					<ul class="about_speaker">
						<li><?php global $post; echo get_post_meta( $post->ID, 'jobtitle', true ); ?></li>
						<li><?php echo get_post_meta( $post->ID, 'lecturetitle', true ); ?></li>
					</ul>

	        		<?php //the_excerpt(); ?>
	        	<!-- .news_contents end --></div>
	        	        	
	        	
	        </li>
	        
	        
	        
	        
	    <?php endwhile; endif; ?>
	    
	    <?php //bmPageNavi(); ?>
	    
	    <?php wp_reset_query(); ?>
	</ul>
	<!-- .floor_list end --></div>
	<?php }
	add_shortcode( 'speakerslist7', 'add_speakers_list_garden7' );

	
	/****************************************************************************/
	
	/* ! open garden */
	
	/****************************************************************************/
	function add_speakers_list_open_garden() { ?>
	<div class="floor_list">
	
	
		<?php //カスタム投稿タイプの講演者一覧をリスト表示
	        query_posts(
	        	array(
	        		'post_type' => array( 'speakers' ),
	        		'floor' => 'open_garden',
	        		'orderby' => 'date',
	        		'order' => 'DESC',
	        		'paged' => get_query_var('paged'),
	        		'posts_per_page' => -1,
	        	)
	        );
	        if (have_posts()) : ?>
	        
	        <h2>オープンガーデン</h2>
	        <ul class="speakers_list">
	        <?php while (have_posts()) : the_post(); ?>
	        
	        
	        <li>
	        	<div class="speaker_contents">
	        	<a href="<?php the_permalink(); ?>">
	        	
	        	
	        		<?php //投稿サムネイル（アイキャッチ画像）を呼び出す。※functions.php内に記述済み。
						//This must be in one loop
					    $title = get_the_title();
					    
					    if(has_post_thumbnail()) {
					    	the_post_thumbnail( array(200,200), array('title' => $title . 'さんのページへ'));
					    } else {
					    	echo ''; //画像が内場合は、そのまま画像なしで表示させる
					    }
					?><br />
					<?php the_title(); ?></a>
					<?php //▲サムネイルを出力させる ?>

					<ul class="about_speaker">
						<li><?php global $post; echo get_post_meta( $post->ID, 'jobtitle', true ); ?></li>
						<li><?php echo get_post_meta( $post->ID, 'lecturetitle', true ); ?></li>
					</ul>

	        		<?php //the_excerpt(); ?>
	        	<!-- .news_contents end --></div>
	        	        	
	        	
	        </li>
	        
	        
	        
	        
	    <?php endwhile; endif; ?>
	    
	    <?php //bmPageNavi(); ?>
	    
	    <?php wp_reset_query(); ?>
	</ul>
	<!-- .floor_list end --></div>
	
	
	<?php }
	add_shortcode( 'speakerslistopen', 'add_speakers_list_open_garden' );
	
	
	/****************************************************************************/
	
	/* ! speaker's jobtitle */
	
	/****************************************************************************/
	function insert_jobtitle(){ ?>
		<?php //カスタム投稿タイプの講演者一覧をリスト表示
	        query_posts(
	        	array(
	        		'post_type' => array( 'speakers' ),
	        		'floor' => 'garden7',
	        		'orderby' => 'date',
	        		'order' => 'DESC',
	        		'paged' => get_query_var('paged'),
	        		'posts_per_page' => -1,
	        	)
	        );
	        if (have_posts()) : ?>
	        <?php while (have_posts()) : the_post(); ?>
	        <?php global $post;  echo get_post_meta( $post->ID, 'jobtitle', true ); ?>
	        <?php endwhile; endif; ?>
	        <?php wp_reset_query(); ?>
	        
	<?php }
	add_shortcode( 'jobtitle', 'insert_jobtitle' );

/****************************************************************************/

/* !Pagenation 設定 */

/****************************************************************************/
if(function_exists('bmPageNavi()')); //ページ分割ここから。分割したいページテンプレート内へ bmPageNavi();を置く

function bmPageNavi() {
    global $wp_rewrite;
    global $wp_query;
    global $paged;

    $paginate_base = get_pagenum_link(1);

    if(($wp_query->max_num_pages) > 1):
        if (strpos($paginate_base, '?') || ! $wp_rewrite->using_permalinks()) {
            $paginate_format = '';
            $paginate_base = add_query_arg('paged', '%#%');
        } else {
            $paginate_format = (substr($paginate_base, -1 ,1) == '/' ? '' : '/') .
            user_trailingslashit('page/%#%/', 'paged');;
            $paginate_base .= '%_%';
        }
        $result = paginate_links( array(
            'base' => $paginate_base,
            'format' => $paginate_format,
            'total' => $wp_query->max_num_pages,
            'mid_size' => 5,
            'current' => ($paged ? $paged : 1),
        ));
        echo '<p class="page_navigation">'."\n".$result."\n</p>\n";
    endif;
}

/****************************************************************************/

/* ! post thumb nail */

/****************************************************************************/
add_theme_support( 'post-thumbnails' ); //投稿サムネイル（アイキャッチ画像）をサポートさせる
add_theme_support( 'post-thumbnails' ); // Add it for pages
set_post_thumbnail_size( 200, 200, true ); //trueでクロッピングモード


/****************************************************************************/

/* ! Head Cleaner OGP */

/****************************************************************************/
function ogp_tags() {
    global $wpmp_conf;
 
    $title = '';
    $thumb = '';
    $excerpt = '';
    if (is_home()) {
        $url = trailingslashit(get_bloginfo('wpurl'));
        $excerpt = get_bloginfo('description');
    } elseif(is_singular()) {
        $id = get_the_ID();
        $post = &get_post($id);
        $url = get_permalink();
        $title = trim(wp_title('', false));
        if (function_exists('has_post_thumbnail') && has_post_thumbnail($id)) {
            $thumb = preg_replace("/^.*['\"](https?:\/\/[^'\"]*)['\"].*/i","$1",get_the_post_thumbnail($id));
        } else {
            $attachments = get_children(array(
                'post_parent' => $id ,
                'post_type' => 'attachment' ,
                'post_mime_type' => 'image' ,
                'orderby' => 'menu_order' ,
                ));
            foreach ($attachments as $attachment) {
                $image_src = wp_get_attachment_image_src($attachment->ID);
                $thumb = (isset($image_src[0]) ? $image_src[0] : '');
                unset($image_src);
                break;
            }
            unset($attachments);
        }
        if (empty($thumb) && preg_match_all('/<img .*src=[\'"]([^\'"]+)[\'"]/', $post->post_content, $matches, PREG_SET_ORDER)) {
            $thumb = $matches[0][1];
        }
        unset($matches);
        $excerpt = (
            !post_password_required($post)
            ? $post->post_excerpt
            : __('There is no excerpt because this is a protected post.')
            );
        if (empty($excerpt)) {
            $excerpt = mb_strimwidth(preg_replace('/[\n\r]/', '', strip_tags($post->post_content)), 0, (isset($wpmp_conf["excerpt_mblength"]) ? $wpmp_conf["excerpt_mblength"] : 200), '...', 'UTF-8');
            $excerpt = apply_filters('get_the_excerpt', $excerpt);
        }
    } else {
        $url = site_url($_SERVER['REQUEST_URI']);
    }
 
    $out = '<meta property="og:site_name" content="' . esc_html(get_bloginfo('name')) . '" />' . "\n";
    if (!empty($url)) {
        $out .= '<meta property="og:url" content="' . esc_html($url)  . '" />' . "\n";
    }
    if (!empty($title)) {
        $out .= '<meta property="og:title" content="' . esc_html($title)  . '" />' . "\n";
    }
    if (!empty($thumb)) {
        $out .= '<meta property="og:image" content="' . $thumb . '" />' . "\n";
    }
    if (!empty($excerpt)) {
        $out .= '<meta property="og:description" content="' . esc_html($excerpt) . '" />' . "\n";
    }
 
    echo $out;
}
add_action('wp_head', 'ogp_tags');

/****************************************************************************/

/* ! logout後のリダイレクトテスト */

/****************************************************************************/
/*
add_action('init','possibly_redirect');

function possibly_redirect(){
 global $pagenow;
 if( 'wp-login.php' == $pagenow ) {
  wp_redirect('http://wordvolcano');
  exit();
 }
}
*/