<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Twenty_Eleven
 */

get_header(); ?>

		<div id="primary">
			<div id="content" role="main">
			
<?php if( is_home() ); ?>
    	<?php //カスタム投稿タイプの全種一覧をリスト表示
    	query_posts(
        	array(
        		'post_type' => 'digest',
        		'orderby' => 'date',
        		'order' => 'DESC',
        		'paged' => get_query_var('paged'),
        		'posts_per_page' => 1,
        	)
        );
        if (have_posts()) : while (have_posts()) : the_post(); ?>
    <article <?php post_class(); ?>>

        <time datetime="<?php the_time('Y-m-d'); ?>"></time>
        
        <div class="entry-content">
			<h1 class="assistive-text"><?php the_title(); ?></h1>
			<h2 class="home_sticky"><img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/digest/main_copy.gif" alt="今年の夏はWordPressが！鹿児島が！熱いっ！のタイトル画像" title="今年の夏はWordPressが！鹿児島が！熱いっ！" /><br />
			<img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/digest/description_text.gif" alt="鹿児島で行われるWordPressな初のイベントです。のテキスト画像" title="鹿児島で行われるWordPressな初のイベントです。" />
			</h2>
    		<?php the_content(); ?>
    	</div><!-- .entry-content -->
        
        
    
<?php endwhile; endif; wp_reset_query(); ?>
    
    </article>

		<h2 id="news" class="nes_border"><img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/title/title_news.gif" alt="WordVolcanoからのお知らせのタイトル画像" title="WordVolcanoからのお知らせ" /></h2>

			<?php if ( have_posts() ) : ?>
			
				<?php wv_content_nav( 'nav-above' ); ?>

				<?php /* Start the Loop */ ?>
				<?php while ( have_posts() ) : the_post(); ?>

					<?php get_template_part( 'content', get_post_format() ); ?>

				<?php endwhile; ?>

				<?php wv_content_nav( 'nav-below' ); ?>

			<?php else : ?>

				<article id="post-0" class="post no-results not-found">
					<header class="entry-header">
						<h1 class="entry-title"><?php _e( 'Nothing Found', 'twentyeleven' ); ?></h1>
					</header><!-- .entry-header -->

					<div class="entry-content">
						<p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'twentyeleven' ); ?></p>
						<!--<?php get_search_form(); ?>-->
					</div><!-- .entry-content -->
				</article><!-- #post-0 -->

			<?php endif; ?>

			</div><!-- #content -->
		</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>