<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="initial-scale=1.0, user-scalable=yes" />
<title>マルヤガーデンズアクセスマップ</title>
<style type="text/css">
    html, body { width: 100%; height: 100% }
    body { margin: 0; }
	map_canvas img { max-width: none; }
</style>
<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true&language=ja"></script>
<script type="text/javascript">
	function initialize() {
		var myLatlng	=		new google.maps.LatLng(31.591056582681556,130.5567866563797);
		var mapCenter	=		new google.maps.LatLng(31.59141756916596,130.55693686008453);
		var myOptions	= {
			zoom: 18,
			center: mapCenter,
			mapTypeId: google.maps.MapTypeId.ROADMAP,
		}
		var map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
		var trafficLayer = new google.maps.TrafficLayer();
		trafficLayer.setMap(map);
		
		
		var contentString = '<div id="map_content">'+
		'<div id="session_hall">'+
		'</div>'+
		'<h1 style="font-size: 1em;">WordVolcano!</h1>'+
		'<div id="bodyContent">'+
		'<h2 style="font-size: 0.9em;">7F garden7にて開催です!!</h2>' +
		'</div>'+
		'</div>';
		
		var infowindow = new google.maps.InfoWindow({
			content: contentString,
			maxWidth: 230
		});
		
		var marker = new google.maps.Marker({
			position: myLatlng,
			map: map,
			title:"マルヤガーデンズ"
		});
		
		google.maps.event.addListener(marker, 'click', function() {
			infowindow.open(map,marker);
		});
		
		// close infowindow!!! :D
		google.maps.event.addListener(map, 'click', function(){
			infowindow.close(map);
		});
		
		// enable full screen!! :D
		if (window.attachEvent) { 
			window.attachEvent("onresize", function() {this.map.onResize()} );
		} else {
			window.addEventListener("resize", function() {this.map.onResize()} , false);
		}
	}
  
	function loadScript() {
		var script = document.createElement("script");
		var useragent	= navigator.userAgent;
		var mapdiv		= document.getElementById("map_canvas");
		script.type		= "text/javascript";
		script.src		= "http://maps.google.com/maps/api/js?sensor=false&callback=initialize";
		document.body.appendChild(script);

	 	if ( useragent.indexOf('Android') != -1 ) {
	 		mapdiv.style.width	= '280px';
	 		mapdiv.style.height	= '100%';
	}	 else {
	 		mapdiv.style.width	= '100%';
     		mapdiv.style.height	= '100%';
    }	
	}	
window.onload = loadScript;
</script>
</head>
<body>
	<div id="map_canvas"></div>
</body>
</html>