<?php
/**
 * The Template for displaying all single posts.
 *
 * @package WordPress
 * @subpackage Twenty_Eleven
 * @since Twenty Eleven 1.0
 */

get_header(); ?>

		<div id="primary">
			<div id="content" role="main">
			
			<?php if( $is_iphone ) : ?>
				<div id="iphone_bread">
        			<a href="<?php bloginfo('url'); ?>">ホーム</a> &raquo; <a href="<?php bloginfo('url'); ?>/sponsor_list">スポンサーリスト</a> &raquo; <span class="current"><?php the_title(); ?></span>
        		<!-- #iphone_bread end --></div>
			<?php else : ?>
				<div id="bread">
					<a href="<?php bloginfo('url'); ?>">ホーム</a> &raquo; <a href="<?php bloginfo('url'); ?>/sponsor_list">スポンサーリスト</a> &raquo; <span class="current"><?php the_title(); ?></span>
				<!-- #bread end --></div>
			<?php endif; ?>

				<?php while ( have_posts() ) : the_post(); ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<h1 class="entry-title">
				<img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/entry_title/title_sponsor.gif" title="<?php the_title(); ?>" alt="<?php the_title(); ?>の紹介ページタイトル画像" />
		</h1>
	</header><!-- .entry-header -->

	<div class="entry-content">
		
<!-- スポンサーページロゴとタイトルなど -->
		
		<div class="sponsor_entry_box">
			<div class="sponsor_entry_box_logo">
				<a href="<?php $key="url"; echo get_post_meta($post->ID, $key, true); ?>" target="_blank" title="<?php the_title(); ?>"><img src="<?php $image = wp_get_attachment_image_src(get_post_meta($post->ID,"logo",true), 'full'); echo $image[0]; ?>" alt="<?php the_title(); ?>ロゴ画像" /></a>
			</div><!-- .sponsor_entry_box_logo -->
			<div class="sponsor_entry_box_name">
				<?php the_title(); ?>
			</div><!-- .sponsor_entry_box_name -->
		</div><!-- .sponsor_entry_box -->
			
		<div class="sponsor_entry_box_image">
			<img src="<?php $image = wp_get_attachment_image_src(get_post_meta($post->ID,"main_img",true), 'full'); echo $image[0]; ?>" alt="<?php the_title(); ?>イメージ画像" class="aligncenter" />
		</div><!-- .sponsor_entry_image -->
						
		<h2 class="sponsor_entry_box_title">
			<?php $key="title"; echo get_post_meta($post->ID, $key, true); ?>
		</h2>
		
<!-- スポンサーページ本文 -->

		<?php the_content(); ?>
		<?php wp_link_pages( array( 'before' => '<div class="page-link"><span>' . __( 'Pages:', 'twentyeleven' ) . '</span>', 'after' => '</div>' ) ); ?>
	</div><!-- .entry-content -->

	<footer class="entry-meta">
		<?php
			/* translators: used between list items, there is a space after the comma */
			$categories_list = get_the_category_list( __( ', ', 'twentyeleven' ) );

			/* translators: used between list items, there is a space after the comma */
			$tag_list = get_the_tag_list( '', __( ', ', 'twentyeleven' ) );
			printf(
				$utility_text,
				$categories_list,
				$tag_list,
				esc_url( get_permalink() ),
				the_title_attribute( 'echo=0' ),
				get_the_author(),
				esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) )
			);
		?>
		<?php edit_post_link( __( 'Edit', 'twentyeleven' ), '<span class="edit-link">', '</span>' ); ?>

	</footer><!-- .entry-meta -->
</article><!-- #post-<?php the_ID(); ?> -->

				<?php endwhile; // end of the loop. ?>
				
				<nav id="nav-single">

					<span class="nav-previous"><?php previous_post_link( '%link', __( '<span class="meta-nav">&larr;</span> Previous', 'twentyeleven' ) ); ?></span>
					<span class="nav-next"><?php next_post_link( '%link', __( 'Next <span class="meta-nav">&rarr;</span>', 'twentyeleven' ) ); ?></span>
					</nav><!-- #nav-single -->

			</div><!-- #content -->
		</div><!-- #primary -->
		
<?php get_sidebar(); ?>
<?php get_footer(); ?>